
From: Prasanna Meda <pmeda@akamai.com>

Fix the mmput bug introduced while fixing cmdline race.

Signed-off-by: Prasanna Meda <pmeda@akamai.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/proc/base.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/proc/base.c~proc-cmdline-missing-mmput fs/proc/base.c
--- 25/fs/proc/base.c~proc-cmdline-missing-mmput	Fri Nov 19 16:06:16 2004
+++ 25-akpm/fs/proc/base.c	Fri Nov 19 16:06:16 2004
@@ -343,7 +343,7 @@ static int proc_pid_cmdline(struct task_
 	if (!mm)
 		goto out;
 	if (!mm->arg_end)
-		goto out;	/* Shh! No looking before we're done */
+		goto out_mm;	/* Shh! No looking before we're done */
 
  	len = mm->arg_end - mm->arg_start;
  
@@ -366,8 +366,8 @@ static int proc_pid_cmdline(struct task_
 			res = strnlen(buffer, res);
 		}
 	}
+out_mm:
 	mmput(mm);
-
 out:
 	return res;
 }
_
